Stick with therubyracer 0.10.x for now
authorTom Hughes <tom@compton.nu>
Thu, 3 Jan 2013 11:10:32 +0000 (11:10 +0000)
committerTom Hughes <tom@compton.nu>
Thu, 3 Jan 2013 11:10:32 +0000 (11:10 +0000)
The 0.11.x release is a complete mess, as amply documented in the github
issue tracker (https://github.com/cowboyd/therubyracer/issues/215).

Gemfile
Gemfile.lock

diff --git a/Gemfile b/Gemfile
index f16f44a3a1d69cafddec9989bbd401f5887da8a8..5d4f6698992b785d65b34933e2afdc0b1ca64fa0 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -66,6 +66,6 @@ group :assets do
   gem 'sass-rails', '~> 3.2.3'
   gem 'coffee-rails', '~> 3.2.1'
   gem 'uglifier', '>= 1.0.3'
-  gem 'therubyracer'
+  gem 'therubyracer', '~> 0.10.2'
   gem 'ejs'
 end
index 9480857accbfc019682b74256c9c94f556631d57..993056846b682fc1cbfb9c599b70e52f65f631b6 100644 (file)
@@ -66,6 +66,7 @@ GEM
     json (1.7.6)
     jwt (0.1.5)
       multi_json (>= 1.0)
+    libv8 (3.3.10.4)
     libxml-ruby (2.4.0)
     mail (2.4.4)
       i18n (>= 0.4.0)
@@ -132,7 +133,6 @@ GEM
     rdoc (3.12)
       json (~> 1.4)
     redcarpet (2.2.2)
-    ref (1.0.2)
     rinku (1.7.2)
     ruby-openid (2.2.2)
     sanitize (2.0.3)
@@ -147,8 +147,8 @@ GEM
       multi_json (~> 1.0)
       rack (~> 1.0)
       tilt (~> 1.1, != 1.3.0)
-    therubyracer (0.11.0)
-      ref
+    therubyracer (0.10.2)
+      libv8 (~> 3.3.10)
     thor (0.16.0)
     tilt (1.3.3)
     timecop (0.5.7)
@@ -194,7 +194,7 @@ DEPENDENCIES
   ruby-openid (>= 2.2.0)
   sanitize
   sass-rails (~> 3.2.3)
-  therubyracer
+  therubyracer (~> 0.10.2)
   timecop
   uglifier (>= 1.0.3)
   validates_email_format_of (>= 1.5.1)